# IFarmingCenterVault

## Functions

### claimTokens

`function claimTokens(address token, address to, uint256 tokenId, bytes32 incentiveId) external` external

| Name        | Type    | Description |
| ----------- | ------- | ----------- |
| token       | address |             |
| to          | address |             |
| tokenId     | uint256 |             |
| incentiveId | bytes32 |             |

### setFarmingCenter

`function setFarmingCenter(address farming) external` external

| Name    | Type    | Description |
| ------- | ------- | ----------- |
| farming | address |             |

### lockTokens

`function lockTokens(uint256 tokenId, bytes32 incentiveId, uint256 tokenAmount) external` external

| Name        | Type    | Description |
| ----------- | ------- | ----------- |
| tokenId     | uint256 |             |
| incentiveId | bytes32 |             |
| tokenAmount | uint256 |             |

### balances

`function balances(uint256 tokenId, bytes32 incentiveId) external view returns (uint256 balance)` view external

| Name        | Type    | Description |
| ----------- | ------- | ----------- |
| tokenId     | uint256 |             |
| incentiveId | bytes32 |             |

**Returns:**

| Name    | Type    | Description |
| ------- | ------- | ----------- |
| balance | uint256 |             |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.algebra.finance/algebra-integral-documentation/algebra-v1-technical-reference/contracts/api-reference-v1.9-directional-fees/v1.9-directional-fees-tokenomics/ifarmingcentervault.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
